package com.persagy.bdtp.adm.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;

@Data
@TableName(value = "adm_upload_log",autoResultMap = true)
public class AdmUploadLog {

	private String uploadFlag;

	private String entityType;

	private String uploadTime;

	private String operation;

	@TableField(
			typeHandler = JacksonTypeHandler.class
	)
	private Object data;

	public AdmUploadLog(String uploadFlag, String uploadTime, Object data) {
		this.uploadFlag = uploadFlag;
		this.entityType = getLogEntityType(data);
		this.uploadTime = uploadTime;
		this.data = data;
	}

	private String getLogEntityType(Object o){
		if(o instanceof AdmObject)
			return ((AdmObject) o).getObjType();
		return o.getClass().getSimpleName();
	}

}
